OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.IndirectParameters

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBIndirectParameters :: MonadIO m => m Bool
- gl_ARB_indirect_parameters :: Bool
- pattern GL_PARAMETER_BUFFER_ARB :: GLenum
- pattern GL_PARAMETER_BUFFER_BINDING_ARB :: GLenum
- glMultiDrawArraysIndirectCountARB :: MonadIO m => GLenum -> Ptr a -> GLintptr -> GLsizei -> GLsizei -> m ()
- glMultiDrawElementsIndirectCountARB :: MonadIO m => GLenum -> GLenum -> Ptr a -> GLintptr -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBIndirectParameters :: MonadIO m => m Bool Source #

Is the ARB_indirect_parameters extension supported?

gl_ARB_indirect_parameters :: Bool Source #

Is the ARB_indirect_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBIndirectParameters` in those cases instead.

# Enums

pattern GL_PARAMETER_BUFFER_ARB :: GLenum Source #

pattern GL_PARAMETER_BUFFER_BINDING_ARB :: GLenum Source #

# Functions

glMultiDrawArraysIndirectCountARB Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr a | `indirect`.
-> GLintptr | `drawcount`.
-> GLsizei | `maxdrawcount`.
-> GLsizei | `stride`.
-> m () |

This command is an alias for `glMultiDrawArraysIndirectCount`.

glMultiDrawElementsIndirectCountARB Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indirect`.
-> GLintptr | `drawcount`.
-> GLsizei | `maxdrawcount`.
-> GLsizei | `stride`.
-> m () |

This command is an alias for `glMultiDrawElementsIndirectCount`.